﻿@using ASP.NET_MVC5_WebShopExample.Constants
@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@model ImageListViewModel

@if (Model != null)
{
    var width = 256;
    <div class="row image-list">
        @foreach (var image in Model.Images)
        {
            var height = image.Height / (image.Width / width);
            var src = Url.Action("GetImage", Model.Controller, new { id = image.ImageId });
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <a href="@src" target="_blank" title="@image.Name">
                        <img src="@src" width="@width" height="@height" alt="@image.Name" />
                    </a>
                    <div class="caption">
                        <h3>@image.Name</h3>
                        <p>
                            @Html.ActionLink("Edit", "Edit", Model.Controller,
                                 new { id = image.ImageId, ownerId = Model.OwnerId, backUrl = Model.BackUrl },
                                 new { @class = "btn btn-primary" })
                            @Html.ActionLink("Delete", "Delete", Model.Controller,
                             new { id = image.ImageId, ownerId = Model.OwnerId, backUrl = Model.BackUrl },
                             new { @class = "btn btn-danger" })
                        </p>
                    </div>
                </div>
            </div>
        }
        @if (Model.Controller != null && Model.OwnerId != null)
        {
            var uploadUrl = Url.RouteUrl(RouteNames.ImagesWithoutId,
                    routeValues: new
                    {
                        controller = Model.Controller,
                        action = "Upload",
                        ownerId = Model.OwnerId,
                        backUrl = Model.BackUrl
                    });
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail upload-image">
                    <a href="@uploadUrl">
                        <img src="~/Content/Images/upload.svg" width="@width" />
                    </a>
                    <div class="caption">
                        <h3>Add image of product</h3>
                        <p><a class="btn btn-success" href="@uploadUrl">Upload image</a></p>
                    </div>
                </div>
            </div>
        }
    </div>
    <style type="text/css">
        .image-list .caption h3 {
            margin-top: 16px;
            text-align: center
        }

        .image-list .caption p {
            margin: 0px;
            text-align: center
        }
    </style>
}

